=== debian/changelog ===
ayatana-indicator-session (0.4.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Jan 2018 00:47:53 +0100

ayatana-indicator-session (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Process with wrap-and-sort -t.
  * debian/patches:
    + Drop 0001-systemd-unit-file-Only-build-install-if-systemd-is-a.patch.
      Included in this upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 13:01:27 +0200

ayatana-indicator-session (0.4.0-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/{control,copyright,watch}:
    + Update to new upstream URLs.
  * debian/copyright:
    + Auto-generate copyright.in file.
  * debian/control:
    + Add to R as an alternative for mate-indicator-applet:
      xfce4-indicator-plugin, indicator-renderer.
    + Modify B-D for systemd: only available/required on [linux-any].
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/patches:
    + Add 0001-systemd-unit-file-Only-build-install-if-systemd-is-a.patch.
      Create systemd unit file only if systemd is available at build-time.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Oct 2017 21:15:37 +0200

ayatana-indicator-session (0.4.0-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #863825).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 May 2017 16:59:13 +0200
