=== debian/control ===
Source: ayatana-indicator-session
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: cmake,
               dbus,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               python,
               systemd [linux-any],
Standards-Version: 4.1.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/ayatana-indicator-session.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/ayatana-indicator-session.git

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common,
         gnome-settings-daemon | mate-settings-daemon,
         gsettings-desktop-schemas,
         systemd,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: gnome-screensaver | mate-screensaver,
            mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
            unity-control-center | gnome-control-center | mate-control-center,
            unity-control-center-signon | gnome-control-center-signon | mate-control-center,
            yelp,
Suggests: apport,
          lightdm,
          zenity,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status.   Switching to another user.  Starting a guest session.  Or
 controlling the status of their own session.
 .
 It requires some way to be hosted into a panel. For the MATE Panel the
 appropriate package is mate-indicator-applet. For the Xfce Panel the
 appropriate package is xfce4-indicator-plugin.
