=== debian/changelog ===
ayatana-indicator-session (0.4.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 16:51:26 +0200

ayatana-indicator-session (0.4.2-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Downgrade various packages from R to S (to avoid an overfull stack of
      packages pulled in via Recommends: field). Addresses #901711).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Aug 2018 23:00:57 +0200

ayatana-indicator-session (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump DH compat level to 11.
  * debian/rules:
    + Migrate from dh_install --fail-missing to dh_missing --fail-missing.
  * debian/copyright:
    + Use secure URI for copyright format reference.
    + Update auto-generated copyright.in reference template.
    + Update copyright attributions.
  * debian/watch:
    + Use secure URL to obtain upstream sources.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Feb 2018 22:00:36 +0100
