=== debian/changelog ===
ayatana-indicator-session (0.4.3-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Feb 2019 16:11:59 +0100

ayatana-indicator-session (0.4.3-2) unstable; urgency=medium

  * debian/control:
    + Add B/R for indicator-session. The packages a-i-session and i-session
      share the same artwork files. (LP: #1747183, #1775072, #1778149).
    + Bump Standards-Version: to 4.2.1. No changes neeed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Nov 2018 08:52:35 +0100

ayatana-indicator-session (0.4.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Oct 2018 20:09:20 +0100

ayatana-indicator-session (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standars-Version: to 4.2.0. No changes needed.
  * debian/docs:
    + Add file. Install README.md.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 17:33:37 +0200

ayatana-indicator-session (0.4.2-3) unstable; urgency=medium

  * debian/patches:
    + Add 1001_fix-incompatible-pointer-type-on-some-archs.patch. Type cast
      g_object_ref connection to GDBusConnection pointer type again. Should
      fix FTBFS on some architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 15:48:36 +0200
