=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,10 @@
 override_dh_install:
 	find debian/ayatana-indicator-session/usr/lib -name *.la -delete
 	find debian/ayatana-indicator-session/usr/lib -name *.a -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 # Hack as it seems it's not possible to easy run that under dbus-test-runner
 override_dh_auto_test:
