=== debian/changelog ===
ayatana-indicator-session (0.4.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Drop from B-D: python. (Closes: #936177).
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/upstream/metadata:
    + Add DEP-12 compliant metadata file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Nov 2019 10:23:50 +0100
