=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Build-Depends: cmake,
                dbus,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libglib2.0-dev (>= 2.36),
                libgtest-dev,
-               python,
                systemd [linux-any],
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session
@@ -32,6 +32,8 @@
           unity-control-center-signon | gnome-control-center-signon | mate-control-center,
           lightdm,
           zenity,
+Breaks: indicator-session,
+Replaces: indicator-session,
 Description: Ayatana Indicator showing session management, status and user switching
  This Ayatana Indicator is designed to be placed on the right side of a
  panel and give the user easy control for changing their instant message
