=== debian/changelog ===
ayatana-indicator-session (0.8.0-2) unstable; urgency=medium

  * debian/rules:
    + Drop dh_install override. Not needed anymore (since service moved to
      libexec dir). Fixes FTBFS on hurd-i386.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Aug 2020 21:10:26 +0200

ayatana-indicator-session (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Versioned D on ayatana-indicator-common (>= 0.8.0).
    + Bump DH compat level to version 13.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 09:26:42 +0200
