=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Build-Depends: cmake,
                dbus,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libglib2.0-dev (>= 2.36),
                libgtest-dev,
                systemd [linux-any],
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
@@ -19,7 +19,7 @@
 
 Package: ayatana-indicator-session
 Architecture: any
-Depends: ayatana-indicator-common,
+Depends: ayatana-indicator-common (>= 0.8.0),
          gsettings-desktop-schemas,
          systemd,
          ${misc:Depends},
