=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
-Uploaders: Mike Gabriel <sunweaver@debian.org>
+Uploaders: Mike Gabriel <sunweaver@debian.org>,
+           Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
                dbus,
                debhelper-compat (= 13),
@@ -37,9 +38,8 @@
 Description: Ayatana Indicator showing session management, status and user switching
  This Ayatana Indicator is designed to be placed on the right side of a
  panel and give the user easy control for changing their instant message
- status.   Switching to another user.  Starting a guest session.  Or
- controlling the status of their own session.
+ status, switching to another user, starting a guest session, etc.
  .
- It requires some way to be hosted into a panel. For the MATE Panel the
- appropriate package is mate-indicator-applet. For the Xfce Panel the
- appropriate package is xfce4-indicator-plugin.
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ etc.).
