=== debian/changelog ===
ayatana-indicator-session (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001_Switch-from-URL-Dispatcher-to-Lomiri-URL-Dispatcher.patch.
      Switch from URL Dispatcher to Lomiri URL Dispatcher.
    + Add 0002_improve-parallel-build-in-backend-dbus.patch. Fix parallel
      builds where cmake tried to build unit tests before running the
      gdbus-codegen commands in src/backend-dbus/.
  * debian/control:
    + Add to B-D: liblomiri-url-dispatcher-dev.
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Fix capitalization of Xfce. Thanks lintian.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Feb 2021 21:21:32 +0100
