=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                intltool,
                libglib2.0-dev (>= 2.36),
                libgtest-dev,
+               liblomiri-url-dispatcher-dev (>= 0.1),
                systemd [linux-any],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
@@ -41,5 +42,5 @@
  status, switching to another user, starting a guest session, etc.
  .
  Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
  etc.).
