=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,6 @@
 %:
 	dh $@
 
-override_dh_install:
-	find debian/ayatana-indicator-session/usr/lib -name *.la -delete
-	find debian/ayatana-indicator-session/usr/lib -name *.a -delete
-	dh_install
-
 override_dh_missing:
 	dh_missing --fail-missing
